Dynamically convert your prompts into Python functions, with template variables as function parameters for each prompt. Get visibility into your prompts through intellisense, without cluttering your python code with long running f-strings.

## Installation

```bash
pip install prompt-compiler
```

## Usage

1. Create prompt templates with .mdx extension:
```markdown
# Example prompt

System: {{ system }}
User: {{ user }}
```

2. Compile prompts:
```bash
# One-time build
prompt-compiler build ./templates

# Watch mode
prompt-compiler watch ./templates
```

3. Use in your code:
```python
from templates.__prompts__ import example

result = example(
    system="You are a helpful assistant",
    user="Hello!"
)
```